package org.cs.mgr.order.dao;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import org.cs.core.dao.IBaseDao;
import org.cs.util.Pager;
import org.cs.mgr.order.model.MgmOrderCommission;
import org.cs.mgr.order.model.MgmOrderProduct;

/**
 * 
 * @ClassName:  
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:03
 */
public interface IMgmOrderCommissionDao extends IBaseDao<MgmOrderCommission> {

	Pager queryMgmOrderCommission(Pager page);
	
	MgmOrderCommission getByPropertie(String value,String entry);
	
	Pager queryMgmOrderCommissionByUserId(Pager page,String userId);
	
	BigDecimal getMgmOrderCommissionNum(Integer userId);
	
	List<Map<String,Object>> queryMgmOrderCommissionByUserId(String userId);
}
